All Classes Namespaces Functions Variables Groups Pages
FreetdsSqlUtil::FreetdsForeignConstraint Class Reference

represents a FreeTDS-specific foreign constraint More...

Inheritance diagram for FreetdsSqlUtil::FreetdsForeignConstraint:
[legend]

## Public Member Functions

| constructor (string n, Columns c, ForeignConstraintTarget t)
| creates the constraint from the supplied arguments
string | getCreateSql (string table_name, *hash opt)
| returns a string that can be used to create the constraint in the database
string | getCreateSql (string name, string table_name, *hash opt)
| returns a string that can be used to create the constraint in the database

## Detailed Description

represents a FreeTDS-specific foreign constraint